<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:p="http://primefaces.org/ui">
<ui:composition>
    <f:subview id="header">
        <div
            id="id_headerG"
            class="headerPrincipal nobordertabla"
            width="100%">
            <h:form id="idHeaderGeneral">
                <p:panelGrid
                    id="header_g"
                    styleClass="nobordertabla"
                    style="border:none !important;">
                    <p:row
                        styleClass="nobordertabla"
                        style="border:none !important;">
                        <p:column
                            styleClass="ancho_5 back_principal header_pG_col">
                            <ui:include src="/pages/common/menu.xhtml" />
                        </p:column>
                        <p:column
                            styleClass="ancho_15 back_principal noPadding">
                            <table class="noPadding">
                                <tr class="back_principal noPadding">
                                    <td class="back_principal noPadding"><h:graphicImage
                                            value="/img/imss_header_blanco.png"
                                            styleClass="resize_img"></h:graphicImage></td>
                                    <td class="back_principal noPadding"><h:graphicImage
                                            value="/img/simocentral.png"></h:graphicImage></td>
                                </tr>
                            </table>
                        </p:column>
                        <p:column
                            id="columnaDatosHeader"
                            styleClass="ancho_50 back_principal">
                            <p:panelGrid
                                id="idDatosHeader"
                                styleClass="ancho_100">
                                <p:row styleClass="noBorder">
                                    <p:column
                                        styleClass="ancho_50 header_pG_col back_principal">
                                        <p:outputLabel
                                            value="Delegación: "
                                            styleClass="t_bold"></p:outputLabel>
                                        <p:outputLabel
                                            value="#{objetosSs.usuarioDetalleDto.cveDelegacionUmae} #{objetosSs.usuarioDetalleDto.desDelegacionAct}"></p:outputLabel>
                                    </p:column>
                                    <p:column
                                        styleClass="ancho_60 header_pG_col back_principal">
                                        <p:outputLabel
                                            value="Usuario: "
                                            styleClass="t_bold"></p:outputLabel>
                                        <p:outputLabel
                                            value="#{objetosSs.usuarioDetalleDto.nombre} #{objetosSs.usuarioDetalleDto.appPaterno} #{objetosSs.usuarioDetalleDto.appMaterno}"></p:outputLabel>
                                    </p:column>
                                </p:row>
                                <p:row styleClass="noBorder">
                                    <p:column
                                        styleClass="header_pG_col back_principal">
                                        <p:outputLabel
                                            value="Unidad Médica: "
                                            styleClass="t_bold"></p:outputLabel>
                                        <p:outputLabel
                                            value="#{objetosSs.usuarioDetalleDto.cvePresupuestal} #{objetosSs.usuarioDetalleDto.desUnidadMedicaAct}"></p:outputLabel>
                                    </p:column>
                                    <p:column
                                        styleClass="header_pG_col back_principal">
                                        <p:outputLabel
                                            value="Perfil: "
                                            styleClass="t_bold"></p:outputLabel>
                                        <p:outputLabel
                                            value="#{objetosSs.usuarioDetalleDto.perfil}"></p:outputLabel>
                                    </p:column>
                                </p:row>
                            </p:panelGrid>
                        </p:column>
                        <p:column
                            id="iconos"
                            styleClass="ancho_18 back_principal">
                            <p:panelGrid styleClass="back_principal">
                                <p:row styleClass="back_principal">
                                    <p:column
                                        styleClass="back_principal noPadding">
                                        <p:commandButton
                                            id="btnp_usuario"
                                            value=""
                                            styleClass="imagenMenuUsuario"
                                            disabled="#{portadaController.opcionesUsuarioDisabled}" />
                                        <p:tooltip
                                            id="toolTip_btnp_usuario"
                                            for="btnp_usuario"
                                            value="Opciones de Usuario"
                                            styleClass="d_contenido"></p:tooltip>
                                        <p:tieredMenu
                                            overlay="true"
                                            trigger="btnp_usuario"
                                            my="left top"
                                            at="left bottom"
                                            style="width:250px;"
                                            styleClass="d_contenido">
                                            <p:menuitem
                                                value="Cambio de Unidad"
                                                action="#{portadaController.mostrarDialogoIcono}" />
                                        </p:tieredMenu>
                                    </p:column>
                                    <p:column
                                        styleClass="back_principal noPadding">
                                        <p:commandButton
                                            id="btnp_ayuda"
                                            value=""
                                            styleClass="imagenMenuAyuda"
                                            disabled="true" />
                                        <p:tooltip
                                            id="toolTip_btnp_ayuda"
                                            for="btnp_ayuda"
                                            value="Ayudas del Sistema"
                                            styleClass="d_contenido"></p:tooltip>
                                    </p:column>
                                    <p:column
                                        styleClass="back_principal noPadding">
                                        <p:commandButton
                                            id="btnp_salir"
                                            value=""
                                            action="#{portadaController.logout}"
                                            styleClass="imagenMenuSalir" />
                                        <p:tooltip
                                            id="toolTip_btnp_salir"
                                            for="btnp_salir"
                                            value="Salir del Sistema"
                                            styleClass="d_contenido"></p:tooltip>
                                    </p:column>
                                </p:row>
                                <p:row
                                    styleClass="nobordertabla"
                                    style="border:none !important;">
                                    <p:column
                                        styleClass="back_principal align_r header_pG_col"
                                        colspan="3">
                                        <p:clock
                                            class="no_background noBorder"
                                            locale="es"
                                            pattern="EEEE d 'de' MMMM 'de'  yyyy hh:mm aa"
                                            mode="server"
                                            style="background: none !important; border:none !important;">
                                        </p:clock>
                                    </p:column>
                                </p:row>
                            </p:panelGrid>
                        </p:column>
                    </p:row>
                </p:panelGrid>
            </h:form>
        </div>
    </f:subview>
</ui:composition>
</html>
